#!/bin/bash

HOSTNAME=$(cat /etc/hostname)

# detect the hostname from the configuration
if [ -n "$CONTAINER_REPORTER_HOST" ]; then
    HOSTNAME="$CONTAINER_REPORTER_HOST"
elif [ -n "$CONTAINER_REPORTER_HOSTNAME_FILEPATH" ]; then
    if [ -r "$CONTAINER_REPORTER_HOSTNAME_FILEPATH" ]; then
        HOSTNAME=$(cat "$CONTAINER_REPORTER_HOSTNAME_FILEPATH")
    else
        echo "Error: The file specified by CONTAINER_REPORTER_HOSTNAME_FILEPATH: [$CONTAINER_REPORTER_HOSTNAME_FILEPATH] is not readable."
        exit 1
    fi
fi

hostname $HOSTNAME

echo "HOSTNAME is set to: $HOSTNAME"

# Start the first process
if [ "$DISABLE_SENSOR" != "true" ]; then
  sh start.sh &
fi

# Start the second process
if [ "$DISABLE_SCANNER" != "true" ]; then
  CONTAINER_REPORTER_HOST="$HOSTNAME" /host-container-scanner &
fi

# Wait for any process to exit
wait -n

# sleep a few seconds before exit so that we don't get into an infinite die-restart loop.
sleep 3

# Exit with status of process that exited first
exit $?